Skip to content
Navigation

Get building height and volume at a location

Returns building height and volume statistics for buildings at or near a coordinate, anywhere in Switzerland.

POST
https://res.aireon.ch/res_api/building_data

Authorization

  • ResApiToken
    API key in header
    required

Request body JSON required

  • lat
    number
    required

    WGS84 latitude.

  • lng
    number
    required

    WGS84 longitude.

  • radiusMeters
    optional
    number

    Search radius for the target building, in metres.

    default: 3
  • buffer_m
    optional
    number

    Geometry buffer, in metres.

    default: 10
  • strategy
    optional
    string

    Selection strategy for the upstream building service.

    default: "auto"

Returns

200

Building height/volume data passed through from the upstream building service.

401

Authentication missing or invalid.
JSON
  • error
    string
    required

    Human-readable error description.

  • message
    optional
    string

    Optional underlying error message.

500

Failed to fetch building data.
JSON
  • error
    string
    required

    Human-readable error description.

  • message
    optional
    string

    Optional underlying error message.

Type to search…

↑↓ navigate↵ selectEsc close